microsoft-foundry.rest.security.o-auth2-auth
Agent Telephony
Delete an outbound telephony call job
DELETE
/agents/{agent_name}/telephony_call_jobs/{call_job_id}
Deletes a terminal, reconciled job (otherwise 409), without cancelling calls or removing Campaign outcomes/call history. Later GET returns 404; repeated DELETE returns 204. Deleting a SIP call job requires the VoiceAgents=V1Preview opt-in.
Header parameters
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
VoiceAgents=V1Preview
Path parameters
agent_name
string
required
The owning voice agent.
call_job_id
string
required
The call-job identifier.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
There is no content to send for this request, but the headers may be useful.
Request
DELETE /agents/{agent_name}/telephony_call_jobs/{call_job_id} HTTP/1.1
Response
Status: 204
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json